Advertisement

Microsoft to block old versions of Skype for Windows and OS X, forces users to upgrade

Microsoft is going to prevent old versions of Skype from working. In the near future, all versions of Skype below Skype 6.13 for Windows and Skype 6.14 for OS X will be blocked. Microsoft recommends you to upgrade your Skype app to avoid issues in the future. While most users are happy using the latest version and do not remain on an older version, there are some reasons why many people stay with older versions - especially those who do not like the changes Microsoft made in newer version of Skype.

css.php